Subject: Re: macvlan/macvtap: guest/host cannot communicate when network cable is unplugged

From: ching <[email-masked]>
Date: Fri, 31 Aug 2012 06:32:37 +0800

>> I also perform an additional test: the guests (macvtap bridge mode) CAN communicate each other no matter network cable is plugged or not.
> Strange.  I thought the original problem was that the macvtap guests
> cannot communicate with each other when the network cable is
> unplugged?
>
> Hopefully someone else can help you, I'm not familiar enough with
> macvlan/macvtap.
>
> Stefan
>

My word may be a little bit confusing, it should be

I also perform an additional test: I created two qemu guests (macvtap bridge mode on eth0), they CAN communicate each other no matter network cable of the host is unplugged or not.

and my problem is specified in the subject already: guest/host cannot communicate when network cable is unplugged

if my configuration seems correct, i may file a kernel bugzilla and seek for their advice.

ching